<!DOCTYPE html>
<html>
  <head>
    <link
      rel="stylesheet"
      href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css"
    />
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script> <!-- Include jQuery before Bootstrap -->
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

    <style>
      #maze-grid {
        display: flex;
        flex-wrap: wrap;
        width: 500px;
        height: 500px;
        margin: 0 auto;
      }

      .cell {
        width: 20px;
        height: 20px;
        border: 1px solid black;
        margin: 0px;
        padding: 0px;
        box-sizing: border-box;
        background-color: white;
      }

      .start {
        background-color: green;
      }

      .end {
        background-color: red;
      }

      .wall {
        background-color: black;
      }
      .row{
        padding: 0px;
        margin: 0px;
      }
      .path {
        background-color: yellow;
      }
    </style>
  </head>
  <body>
    <div class="container">
      <h1 class="display-4 text-center">Route Runner</h1>

      <div class="text-center mb-4">
        <button class="btn btn-primary mr-2" onclick="generateMaze()">
          Generate Empty Maze
        </button>
        <button class="btn btn-secondary mr-2" onclick="solveMaze('dijkstra')">
          Dijkstra's Algorithm
        </button>
        <button class="btn btn-secondary mr-2" onclick="solveMaze('a-star')">
          A* Search Algorithm
        </button>
        <button class="btn btn-secondary" onclick="solveMaze('bfs')">
          Breadth-First Search (BFS)
        </button>
      </div>

      <div id="maze-grid"></div>
    </div>

    <script src="maze.js"></script>
  </body>
</html>
